Main Page Class List Class Members

# Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder Class Reference

`#include <NvBlastExtPxSerialization.capn.h>`

List of all members.

## Public Types
typedef ExtPxSubchunk | Builds
## Public Member Functions
void | adoptGeometry (::capnp::Orphan< ::Nv::Blast::Serialization::PxConvexMeshGeometry > &&value)
void | adoptTransform (::capnp::Orphan< ::Nv::Blast::Serialization::PxTransform > &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::PxConvexMeshGeometry > | disownGeometry ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::PxTransform > | disownTransform ()
inline::Nv::Blast::Serialization::PxConvexMeshGeometry::Builder | getGeometry ()
inline::Nv::Blast::Serialization::PxTransform::Builder | getTransform ()
bool | hasGeometry ()
bool | hasTransform ()
inline::Nv::Blast::Serialization::PxConvexMeshGeometry::Builder | initGeometry ()
inline::Nv::Blast::Serialization::PxTransform::Builder | initTransform ()
| operator Reader () const
void | setGeometry (::Nv::Blast::Serialization::PxConvexMeshGeometry::Reader value)
void | setTransform (::Nv::Blast::Serialization::PxTransform::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const
## Friends
struct | ::capnp::_::PointerHelpers
class | ::capnp::Orphanage
struct | ::capnp::ToDynamic_

## Member Typedef Documentation

typedef ExtPxSubchunk Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::adoptGeometry | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::PxConvexMeshGeometry > && | value | ) | `[inline]`

void Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::adoptTransform | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::PxTransform > && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::asReader | ( |  | ) | const`[inline]`

inline ::capnp::Orphan< ::Nv::Blast::Serialization::PxConvexMeshGeometry> Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::disownGeometry | ( |  | ) |

inline ::capnp::Orphan< ::Nv::Blast::Serialization::PxTransform> Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::disownTransform | ( |  | ) |

inline ::Nv::Blast::Serialization::PxConvexMeshGeometry::Builder Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::getGeometry | ( |  | ) |

inline ::Nv::Blast::Serialization::PxTransform::Builder Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::getTransform | ( |  | ) |

bool Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::hasGeometry | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::hasTransform | ( |  | ) | `[inline]`

inline ::Nv::Blast::Serialization::PxConvexMeshGeometry::Builder Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::initGeometry | ( |  | ) |

inline ::Nv::Blast::Serialization::PxTransform::Builder Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::initTransform | ( |  | ) |

Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::setGeometry | ( | ::Nv::Blast::Serialization::PxConvexMeshGeometry::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::setTransform | ( | ::Nv::Blast::Serialization::PxTransform::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::ExtPxSubchunk::ExtPxSubchunk::Builder::totalSize | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend struct ::capnp::_::PointerHelpers`[friend]`

friend class ::capnp::Orphanage`[friend]`

friend struct ::capnp::ToDynamic_`[friend]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtPxSerialization.capn.h